newt_set_help_callback
newt_suspend
Newt Functions
PHP Manual

# newt_set_suspend_callback

(PECL newt >= 0.1)

newt_set_suspend_callback — Set a callback function which gets invoked when user presses the suspend key

### Description

void newt_set_suspend_callback ( callback `$function` , mixed `$data` )

Set a callback function which gets invoked when user presses the suspend key (normally ^Z). If no suspend callback is registered, the suspend keystroke is ignored.

### Parameters

`function`

  A callback function, which accepts one argument: data

`data`

  This data is been passed to the callback function

### Return Values

No value is returned.

### See Also

- newt_suspend() - Tells newt to return the terminal to its initial state
- newt_resume() - Resume using the newt interface after calling newt_suspend

newt_set_help_callback
newt_suspend
Newt Functions
PHP Manual